Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358960 - SELinux is preventing systemd-modules from 'open' accesses on the file /etc/modprobe.d/ndiswrapper.conf.
Summary: SELinux is preventing systemd-modules from 'open' accesses on the file /etc/m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4cb5c93c1ae8e0b8e19e82fd1e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 23:00 UTC by Alexis Cirmi
Modified: 2017-08-08 15:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:46:32 UTC


Attachments (Terms of Use)

Description Alexis Cirmi 2016-07-21 23:00:06 UTC
Description of problem:
I tried to make the ndiswrapper module load during startup, creating a ndiswrapper.conf file in /etc/modules-load.d/ containing the word "ndiswrapper" in it.
The problem is that I had to change SELinux policy from "enforcing" to "permissive" to make it work properly at boot time.
I've always been able to activate the module manually using "modprobe ndiswrapper" as root, though.
I'm using the ndiswrapper module built by akmod for kernel 4.6.4, but I can confirm this happens on 4.6.3 too.

This bug can be reproduced by trying to make systemd load ndiswrapper module at startup, using SELinux default configuration. The module won't be loaded and SELinux's error message is going to pop up.
SELinux is preventing systemd-modules from 'open' accesses on the file /etc/modprobe.d/ndiswrapper.conf.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-modules should be allowed open access on the ndiswrapper.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-modules' --raw | audit2allow -M my-systemdmodules
# semodule -X 300 -i my-systemdmodules.pp

Additional Information:
Source Context                system_u:system_r:systemd_modules_load_t:s0
Target Context                unconfined_u:object_r:modules_conf_t:s0
Target Objects                /etc/modprobe.d/ndiswrapper.conf [ file ]
Source                        systemd-modules
Source Path                   systemd-modules
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64 #1 SMP Tue
                              Jul 12 11:50:00 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-07-21 18:55:28 ART
Last Seen                     2016-07-21 18:55:28 ART
Local ID                      42cd1ce6-2ef5-4c4e-99ba-a48e9792e471

Raw Audit Messages
type=AVC msg=audit(1469138128.321:528): avc:  denied  { open } for  pid=17441 comm="systemd-modules" path="/etc/modprobe.d/ndiswrapper.conf" dev="sda1" ino=660716 scontext=system_u:system_r:systemd_modules_load_t:s0 tcontext=unconfined_u:object_r:modules_conf_t:s0 tclass=file permissive=0


Hash: systemd-modules,systemd_modules_load_t,modules_conf_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.1
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
reproducible:   Not sure how to reproduce the problem
type:           libreport

Comment 1 Steve La Rocque 2016-07-31 18:18:13 UTC
Description of problem:
VirtualBox upgraded from 5.0.24 to 5.0.26. 

Try systemctl start systemd-modules-load.service

SElinux enforcing.  Policy issues with upgrade?

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 2 Sean McNeil 2016-08-01 11:03:22 UTC
Description of problem:

#Package akmod-VirtualBox-5.0.26-1.fc24.x86_64 is already installed

sudo akmods
sudo systemctl restart systemd-modules-load.service

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 3 Fedora Admin XMLRPC Client 2016-09-27 15:14:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2017-07-25 21:58:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 15:46:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.